Created by rockyl on 2018/11/8.

数学工具

## Index

### Functions

- lerp
- lerpObj
- makeRandomInt
- mixArray

## Functions

### lerp

- lerp(begin: any, end: any, t: any, allowOutOfBounds?: boolean): any

- - Defined in tools/math.ts:15

  线性插值

  #### Parameters

  - ##### begin: any

    number

  - ##### end: any

    number

  - ##### t: any

    number

  - ##### Default value allowOutOfBounds: boolean = false

  #### Returns any

  number

### lerpObj

- lerpObj(begin: any, end: any, t: any, fields: any, allowOutOfBounds?: boolean): object

- - Defined in tools/math.ts:41

  线性插值对象

  #### Parameters

  - ##### begin: any

  - ##### end: any

  - ##### t: any

  - ##### fields: any

  - ##### Default value allowOutOfBounds: boolean = false

  #### Returns object

### makeRandomInt

- makeRandomInt(max: number, min?: number): number

- - Defined in tools/math.ts:60

  随机生成一个整数

  #### Parameters

  - ##### max: number

  - ##### Default value min: number = 0

  #### Returns number

### mixArray

- mixArray(arr: any): Array<any>

- - Defined in tools/math.ts:69

  打乱一个数组

  #### Parameters

  - ##### arr: any

  #### Returns Array<any>

Generated using TypeDoc